MantisBT
Mantis Bug Tracker Workflow

View Issue Details Jump to Notes ] Related Changesets ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0028877Open CASCADE[OCCT] OCCT:Documentationpublic2017-06-28 10:332017-09-29 16:28
Reporterkgv 
Assigned Tobugmaster 
PrioritynormalSeveritytrivial 
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version[OCCT] 6.8.0 
Target Version[OCCT] 7.2.0Fixed in Version[OCCT] 7.2.0 
Summary0028877: Documentation - fix unclosed tag in coding_rules.md
DescriptionThe documentation from coding_rules.md contains an artifact due to unclosed tag (see ~~~~~{.cpp}):
Overriding virtual methods

Declaration of overriding method should contains specifiers "virtual" and "override" 
(using Standard_OVERRIDE alias for compatibility with old compilers).
class MyPackage_BaseClass
{
public:
  Standard_EXPORT virtual Standard_Boolean Perform();
};
~~~~~{.cpp}
class MyPackage_MyClass : public MyPackage_BaseClass
{
public:
  Standard_EXPORT virtual Standard_Boolean Perform() Standard_OVERRIDE;
};

This makes class definition more clear (virtual methods become highlighted).
Steps To ReproduceN/A
TagsNo tags attached.
Test case numberNot required
Attached Files

- Relationships
child of 0025182closedbugmaster Standard_OVERRIDE - add alias for C++11 "override" specifier 

-  Notes
(0067758)
git (administrator)
2017-06-28 10:37

Branch CR28877 has been created by kgv.

SHA-1: 0f4f8d62da003d9e9fdc111e81ea58b606b2d32f


Detailed log of new commits:

Author: kgv
Date: Wed Jun 28 10:36:59 2017 +0300

    0028877: Documentation - fix unclosed tag in coding_rules.md
(0067759)
kgv (developer)
2017-06-28 10:37

Please take the patch.
(0067760)
apv (tester)
2017-06-28 10:56

Dear BugMaster,

Please integrate branch CR28877 into the occt git-repository master.
(0067900)
git (administrator)
2017-07-03 08:45

Branch CR28877 has been deleted by kgv.

SHA-1: 0f4f8d62da003d9e9fdc111e81ea58b606b2d32f

- Related Changesets
occt: master a2a6c872
Timestamp: 2017-06-28 07:36:59
Author: kgv
Committer: bugmaster
Details ] Diff ]
0028877: Documentation - fix unclosed tag in coding_rules.md
mod - dox/dev_guides/contribution/coding_rules.md Diff ] File ]

- Issue History
Date Modified Username Field Change
2017-06-28 10:33 kgv New Issue
2017-06-28 10:33 kgv Assigned To => ysn
2017-06-28 10:34 kgv Relationship added child of 0025182
2017-06-28 10:35 kgv Product Version 7.0.0 => 6.8.0
2017-06-28 10:37 git Note Added: 0067758
2017-06-28 10:37 kgv Note Added: 0067759
2017-06-28 10:37 kgv Assigned To ysn => bugmaster
2017-06-28 10:37 kgv Severity minor => trivial
2017-06-28 10:37 kgv Status new => resolved
2017-06-28 10:37 kgv Status resolved => reviewed
2017-06-28 10:56 apv Note Added: 0067760
2017-06-28 10:56 apv Status reviewed => tested
2017-06-28 10:56 apv Test case number => Not required
2017-06-30 12:01 bugmaster Changeset attached => occt master a2a6c872
2017-06-30 12:01 bugmaster Status tested => verified
2017-06-30 12:01 bugmaster Resolution open => fixed
2017-07-03 08:45 git Note Added: 0067900
2017-09-29 16:18 user533 Fixed in Version => 7.2.0
2017-09-29 16:28 user533 Status verified => closed


Copyright © 2000 - 2018 MantisBT Team
Powered by Mantis Bugtracker